<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:binding="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="item"
            type="String" />

        <import type="android.text.TextUtils" />

    </data>

    <LinearLayout
        android:id="@+id/ll_item_root"
        android:layout_width="145dp"
        android:layout_height="200dp"
        android:layout_marginRight="@dimen/d_3dp"
        android:background="@drawable/home_item_job_bg"
        android:orientation="vertical">

        <FrameLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <com.guadou.cs_cptservices.widget.TopRound5ImageView
                android:id="@+id/iv_job_image"
                android:layout_width="match_parent"
                android:layout_height="101dp"
                android:layout_marginLeft="4dp"
                android:layout_marginTop="6.2dp"
                android:layout_marginRight="4dp"
                android:scaleType="centerCrop"
                binding:imgUrl="@{item}"
                binding:placeholder="@{@drawable/placeholder_img_top_round_job}"
                binding:topRoundRadius="@{5}"
                tools:src="@drawable/placeholder_img_top_round_job" />

            <TextView
                android:id="@+id/tv_job_tag"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="8.5dp"
                android:layout_marginTop="8.5dp"
                android:background="@drawable/shape_blue_round3"
                android:paddingLeft="@dimen/d_6dp"
                android:paddingTop="@dimen/d_3dp"
                android:paddingRight="@dimen/d_6dp"
                android:paddingBottom="@dimen/d_4dp"
                android:text="立即预定"
                android:textColor="@color/white"
                android:textSize="@dimen/d_12sp" />
        </FrameLayout>

        <TextView
            android:id="@+id/tv_job_title"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/d_10dp"
            android:layout_marginTop="@dimen/d_8dp"
            android:layout_marginRight="@dimen/d_10dp"
            android:ellipsize="end"
            android:lines="2"
            android:text="香格里拉酒店前台 服务生招聘"
            android:textColor="@color/text_black_37"
            android:textSize="@dimen/d_14sp" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/d_10dp"
            android:layout_marginTop="@dimen/d_7dp"
            android:layout_marginRight="@dimen/d_10dp"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/tv_job_hour_rate"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="¥ 8"
                android:textColor="@color/app_blue"
                android:textSize="@dimen/d_15sp" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="/时"
                android:textColor="@color/gray_76"
                android:textSize="@dimen/d_13sp" />

            <View
                android:layout_width="0dp"
                android:layout_height="1dp"
                android:layout_weight="1" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="总计"
                android:textColor="@color/gray_76"
                android:textSize="@dimen/d_13sp" />

            <TextView
                android:id="@+id/tv_job_est"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/d_5dp"
                android:text="¥80"
                android:textColor="@color/profile_red"
                android:textSize="@dimen/d_15sp" />

        </LinearLayout>

    </LinearLayout>

</layout>
